xquery version "1.0";
(:
: Module Name: Math Library Module
:
: Module Version: 1.0
:
: Date: 01/17/2006
:
: Copyright: Sample Copyright here
:
: Proprietary: Extensions: None
:
: XQuery: Specification November 2005
:
: Module Overview: This sample main module illustrates the proper implementations of the XQuery Style Guidelines for a Library Module.
:)
(:~
: This module provides a sample library module of simple math
: functions that are authored according to the proposed XQuery
: Style Guidelines
:
: @author Curt Kohler
: @author Darin McBeath
: @since January 17, 2006
: @version 1.0
:)
module namespace math="http://xqdoc.org/sample-math-lib";
declare default function namespace "http://www.w3.org/2005/xpath-functions";
(:~
: Add two numbers.
:
: @param $operand1 first operand.
: @param $operand2 second operand.
: @return result of the addition operation.
:)
declare function add-operands($operand1 as xs:integer,
$operand2 as xs:integer)
as xs:integer
{
let $sum := $operand1 + $operand2 (: add the values :)
return
$sum
};
(:~
: Subtract two numbers.
:
: @param $operand1 first operand.
: @param $operand2 second operand.
: @return result of the subtraction operation.
:)
declare function subtract-operands($operand1 as xs:integer,
$operand2 as xs:integer)
as xs:integer
{
let $difference := $operand1 - $operand2 (: subtract the values :)
return
$difference
};
(:~
: Multiply two numbers.
:
: @param $operand1 first operand.
: @param $operand2 second operand.
: @return result of the multiplication operation.
:)
declare function multiply-operands($operand1 as xs:integer,
$operand2 as xs:integer)
as xs:integer
{
let $product := $operand1 * $operand2 (: multiply the values :)
return
$product
};
(:~
: Divide two numbers.
:
: @param $operand1 first operand.
: @param $operand2 second operand.
: @return result of the division operation.
:)
declare function divide-operands($operand1 as xs:integer,
$operand2 as xs:integer)
as xs:integer
{
let $quotient := $operand1 div $operand2 (: divide the values :)
return $quotient
};
